> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Current inventory



## OpenAPI

````yaml get /tabs/{storeId}/current-inventory
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{storeId}/current-inventory:
    get:
      summary: Current inventory
      parameters:
        - in: path
          name: storeId
          required: true
          schema:
            type: string
        - in: query
          name: ingredientIds
          required: false
          schema:
            type: array
            items:
              type: string
            description: Id de los ingredientes a consultar
        - in: query
          name: externalIngredientIds
          required: false
          schema:
            type: array
            items:
              type: string
            description: Id externo de los ingredientes a consultar
        - in: query
          name: stockRoomIds
          required: false
          schema:
            type: array
            items:
              type: string
            description: Id de las bodegas
        - in: query
          name: date
          required: false
          schema:
            type: string
            example: '2020-01-01T00:00:00.000Z'
            format: date-time
            description: Fecha de inventario
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/tabsIngredientInventory'
                        description: Items de la lista.
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsIngredientInventory:
      type: object
      properties:
        ingredientId:
          type: string
          example: tab-4c48bf33-1411-4c3f-adac-db39b4631cb8
          description: El ID del ingrediente.
        name:
          type: string
          example: Sal
          description: El nombre del ingrediente.
        quantity:
          type: number
          example: 2
          description: Inentario de este ingrediente
        unitOfMeasurement:
          type: string
          example: gr
          description: Unidad de medida del ingrediente
        externalId:
          type: string
          example: ing_external_id
          description: Identificador externo del ingrediente
        stockRoomId:
          type: string
          example: t-sri-asdasd
          description: Identificador de la bodega

````